Browse Source

removed trailing spaces

Patrick Schleizer 8 years ago
parent
commit
2eb0ed2be1

+ 1 - 1
archlinux/PKGBUILD

@@ -65,7 +65,7 @@ done
 
 package() {
   # Note: Archlinux removed use of directory such as /sbin /bin /usr/sbin (https://mailman.archlinux.org/pipermail/arch-dev-public/2012-March/022625.html)
-  
+
   (cd qrexec; make install DESTDIR=$pkgdir SBINDIR=/usr/bin LIBDIR=/usr/lib SYSLIBDIR=/usr/lib)
 
   make install-vm DESTDIR=$pkgdir SBINDIR=/usr/bin LIBDIR=/usr/lib SYSLIBDIR=/usr/lib DIST=archlinux

+ 18 - 18
archlinux/PKGBUILD.install

@@ -14,19 +14,19 @@ configure_initscripts() {
 
 
 configure_iptables() {
-	
+
 	if ! grep -q IPTABLES_DATA /etc/sysconfig/iptables-config; then
 	    cat <<EOF >>/etc/sysconfig/iptables-config
-	
+
 	### Automatically added by Qubes:
 	# Override default rules location on Qubes
 	IPTABLES_DATA=/etc/sysconfig/iptables.qubes
 EOF
 	fi
-	
+
 	if ! grep -q IP6TABLES_DATA /etc/sysconfig/ip6tables-config; then
 	    cat <<EOF >>/etc/sysconfig/ip6tables-config
-	
+
 	### Automatically added by Qubes:
 	# Override default rules location on Qubes
 	IP6TABLES_DATA=/etc/sysconfig/ip6tables.qubes
@@ -87,7 +87,7 @@ pre_install() {
 	mkdir -p /var/lib/qubes
 
 	# Backup fstab / But use archlinux defaults (cp instead of mv)
-	if [ -e /etc/fstab ] ; then 
+	if [ -e /etc/fstab ] ; then
 		cp /etc/fstab /var/lib/qubes/fstab.orig
 	fi
 
@@ -123,7 +123,7 @@ update_xdgstart () {
 
 	# reenable if disabled by some earlier version of package
 	remove_ShowIn abrt-applet.desktop imsettings-start.desktop
-	
+
 	# don't want it at all
 	for F in deja-dup-monitor krb5-auth-dialog pulseaudio restorecond sealertauto gnome-power-manager gnome-sound-applet gnome-screensaver orca-autostart; do
 		if [ -e /etc/xdg/autostart/$F.desktop ]; then
@@ -131,7 +131,7 @@ update_xdgstart () {
 			echo 'NotShowIn=QUBES;' >> /etc/xdg/autostart/$F.desktop
 		fi
 	done
-	
+
 	# don't want it in DisposableVM
 	for F in gcm-apply ; do
 		if [ -e /etc/xdg/autostart/$F.desktop ]; then
@@ -139,7 +139,7 @@ update_xdgstart () {
 			echo 'NotShowIn=DisposableVM;' >> /etc/xdg/autostart/$F.desktop
 		fi
 	done
-	
+
 	# want it in AppVM only
 	for F in gnome-keyring-gpg gnome-keyring-pkcs11 gnome-keyring-secrets gnome-keyring-ssh gnome-settings-daemon user-dirs-update-gtk gsettings-data-convert ; do
 		if [ -e /etc/xdg/autostart/$F.desktop ]; then
@@ -147,12 +147,12 @@ update_xdgstart () {
 			echo 'OnlyShowIn=GNOME;AppVM;' >> /etc/xdg/autostart/$F.desktop
 		fi
 	done
-	
+
 	# remove existing rule to add own later
 	for F in gpk-update-icon nm-applet ; do
 		remove_ShowIn $F
 	done
-	
+
 	echo 'OnlyShowIn=GNOME;UpdateableVM;' >> /etc/xdg/autostart/gpk-update-icon.desktop || :
 	echo 'OnlyShowIn=GNOME;QUBES;' >> /etc/xdg/autostart/nm-applet.desktop || :
 
@@ -163,7 +163,7 @@ update_qubesconfig() {
 	# Remove ip_forward setting from sysctl, so NM will not reset it
 	# Archlinux now use sysctl.d/ instead of sysctl.conf
 	#sed 's/^net.ipv4.ip_forward.*/#\0/'  -i /etc/sysctl.conf
-	
+
 	# Remove old firmware updates link
 	if [ -L /lib/firmware/updates ]; then
 	  rm -f /lib/firmware/updates
@@ -182,7 +182,7 @@ update_qubesconfig() {
 	# Location of files which contains list of protected files
 	mkdir -p /etc/qubes/protected-files.d
 	PROTECTED_FILE_LIST='/etc/qubes/protected-files.d'
-	
+
 	# qubes-core-vm has been broken for some time - it overrides /etc/hosts; restore original content
 	if ! grep -rq "^/etc/hosts$" "${PROTECTED_FILE_LIST}" 2>/dev/null; then
 	    if ! grep -q localhost /etc/hosts; then
@@ -192,7 +192,7 @@ update_qubesconfig() {
 EOF
 	    fi
 	fi
-	
+
 	# Make sure that /etc/sysconfig/ip(|6)tables exists. Otherwise iptales.service
 	# would not start (even when configured to use another configuration file.
 	if [ ! -e '/etc/sysconfig/iptables' ]; then
@@ -245,7 +245,7 @@ update_systemd_finalize() {
 	# Set default "runlevel"
 	rm -f /etc/systemd/system/default.target
 	ln -s /lib/systemd/system/multi-user.target /etc/systemd/system/default.target
-	
+
 	grep '^[[:space:]]*[^#;]' /lib/systemd/system-preset/75-qubes-vm.preset | while read action unit_name; do
 	    case "$action" in
 	    (disable)
@@ -258,7 +258,7 @@ update_systemd_finalize() {
 	        ;;
 	    esac
 	done
-	
+
 	# Archlinux specific: ensure tty1 is enabled
 	rm -f /etc/systemd/system/getty.target.wants/getty@tty*.service
 	systemctl enable getty\@tty1.service
@@ -291,15 +291,15 @@ post_install() {
 	    if [ $(basename $f) == "xen-backend.rules" ] ; then
 	        continue
 	    fi
-	
+
 	    if [ $(basename $f) == "50-qubes-misc.rules" ] ; then
 	        continue
 	    fi
-	
+
 	    if echo $f | grep -q qubes; then
 	        continue
 	    fi
-	
+
 	    mv $f /var/lib/qubes/removed-udev-scripts/
 	done
 

+ 2 - 2
debian/qubes-core-agent.postinst

@@ -100,7 +100,7 @@ case "${1}" in
             # Systemd preload-all
             systemdPreload
 
-            # Maybe install overridden serial.conf init script 
+            # Maybe install overridden serial.conf init script
             installSerialConf
         fi
 
@@ -150,7 +150,7 @@ case "${1}" in
                     /usr/lib/qubes/qubes-trigger-sync-appmenus.sh || true
                     ;;
 
-                # Install overridden serial.conf init script 
+                # Install overridden serial.conf init script
                 /etc/init/serial.conf)
                     installSerialConf
                     ;;

+ 1 - 1
debian/qubes-core-agent.postrm

@@ -22,7 +22,7 @@ set -e
 #
 #     Called when the old postrm upgrade action fails. The new package will be
 # unpacked, but only essential packages and pre-dependencies can be relied on.
-# Pre-dependencies will either be configured or will be "Unpacked" or 
+# Pre-dependencies will either be configured or will be "Unpacked" or
 # "Half-Configured" but previously had been configured and was never removed.
 #
 #   * <new-postrm> 'abort-install'

+ 5 - 5
debian/qubes-core-agent.preinst

@@ -10,10 +10,10 @@ set -e
 #   * <new-preinst> 'install' <old-version>
 #   * <new-preinst> 'upgrade' <old-version>
 #
-#     The package will not yet be unpacked, so the preinst script cannot rely 
-# on any files included in its package. Only essential packages and 
-# pre-dependencies (Pre-Depends) may be assumed to be available. 
-# Pre-dependencies will have been configured at least once, but at the time the 
+#     The package will not yet be unpacked, so the preinst script cannot rely
+# on any files included in its package. Only essential packages and
+# pre-dependencies (Pre-Depends) may be assumed to be available.
+# Pre-dependencies will have been configured at least once, but at the time the
 # preinst is called they may only be in an "Unpacked" or "Half-Configured" state
 # if a previous version of the pre-dependency was completely configured and has
 # not been removed since then.
@@ -26,7 +26,7 @@ set -e
 # be partly from the new version or partly missing, so the script cannot rely
 # on files included in the package. Package dependencies may not be available.
 # Pre-dependencies will be at least "Unpacked" following the same rules as
-# above, except they may be only "Half-Installed" if an upgrade of the 
+# above, except they may be only "Half-Installed" if an upgrade of the
 # pre-dependency failed.[46]
 #
 #    For details, see http://www.debian.org/doc/debian-policy/ or

+ 5 - 5
debian/qubes-core-agent.prerm

@@ -9,14 +9,14 @@ set -e
 #   * <prerm> 'remove'
 #   * <old-prerm> 'upgrade' <new-version>
 #   * <conflictor's-prerm> 'remove' 'in-favour' <package> <new-version>
-#   * <deconfigured's-prerm> 'deconfigure' 'in-favour' <package-being-installed> 
+#   * <deconfigured's-prerm> 'deconfigure' 'in-favour' <package-being-installed>
 #     <version> [removing conflicting-package version]
 #
 #     The package whose prerm is being called will be at least "Half-Installed".
-# All package dependencies will at least be "Half-Installed" and will have 
-# previously been configured and not removed. If there was no error, all 
-# dependencies will at least be "Unpacked", but these actions may be called in 
-# various error states where dependencies are only "Half-Installed" due to a 
+# All package dependencies will at least be "Half-Installed" and will have
+# previously been configured and not removed. If there was no error, all
+# dependencies will at least be "Unpacked", but these actions may be called in
+# various error states where dependencies are only "Half-Installed" due to a
 # partial upgrade.
 #
 #   * <new-prerm> 'failed-upgrade' <old-version>

+ 1 - 1
doc/Makefile

@@ -21,7 +21,7 @@ install: manpages
 	gzip -f $<
 
 manpages: $(QVM_DOCS) $(QUBES_DOCS) $(VM_DOCS)
-	
+
 preview:	$(rst)
 	pandoc -s -f rst -t man $(rst) | groff -mandoc -Tlatin1 | less -R
 

+ 1 - 1
misc/block-snapshot

@@ -264,7 +264,7 @@ case "$command" in
           rm $HOTPLUG_STORE-*
         fi
         release_lock "block"
-        
+
         exit 0
         ;;
     esac

+ 6 - 6
misc/xorg-preload-apps.conf

@@ -1,11 +1,11 @@
-Section "ServerLayout"   
+Section "ServerLayout"
         Identifier     "Default Layout"
-        Screen      0  "Screen0" 0 0  
+        Screen      0  "Screen0" 0 0
 EndSection
 
 Section "Device"
         Identifier  "Videocard0"
-        Driver      "dummy"  
+        Driver      "dummy"
 	VideoRam 4001
 EndSection
 
@@ -13,7 +13,7 @@ Section "Monitor"
         Identifier "Monitor0"
         HorizSync 49-50
 	VertRefresh 62-63
-	Modeline "QB1280x800" 64 1280 1281 1282 1283 800 801 802 803 
+	Modeline "QB1280x800" 64 1280 1281 1282 1283 800 801 802 803
 EndSection
 
 Section "Screen"
@@ -23,8 +23,8 @@ Section "Screen"
         DefaultDepth     24
         SubSection "Display"
                 Viewport   0 0
-                Depth     24 
-		Modes "QB1280x800" 
+                Depth     24
+		Modes "QB1280x800"
         EndSubSection
 EndSection
 

+ 1 - 1
misc/yum-qubes-hooks.py

@@ -27,7 +27,7 @@ import subprocess
 
 requires_api_version = '2.4'
 plugin_type = (TYPE_CORE,)
-            
+
 def posttrans_hook(conduit):
     # Get all updates available _before_ this transaction
     pkg_list = conduit._base.doPackageLists(pkgnarrow='updates')

+ 1 - 1
network/filter-updates

@@ -8,7 +8,7 @@
 ^http://mirrors\..*/mirrorlist\?
 
 # Debian filters
-# 
+#
 # Whonix uses sourceforge to host its repos and url can end in:
 # '/' or '/download' or '?.*'
 # -----------------------------------------------------------------------------

+ 1 - 1
network/qubes-firewall

@@ -45,7 +45,7 @@ while true; do
 			echo "Failed applying rules for $i: $ERRS" >&2
 			OUT="$OUT$ERRS"
 		fi
-	done		
+	done
 	qubesdb-write $XENSTORE_ERROR "$OUT"
 	if [ -n "$OUT" ]; then
 		DISPLAY=:0 /usr/bin/notify-send -t 3000 "Firewall loading error ($(hostname))" "$OUT" || :

+ 1 - 1
network/qubes-iptables

@@ -41,7 +41,7 @@ start() {
     else
         echo FAIL; return 1
     fi
-    
+
     return $ret
 }
 

+ 1 - 1
network/setup-ip

@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # setup-ip is potentially invoked before qubes-sysinit.sh is done, therefore
-# we perform our qubesdb reads here instead of relying on qvm-service 
+# we perform our qubesdb reads here instead of relying on qvm-service
 # files under /var/run/qubes-service/
 disablegw=`qubesdb-read /qubes-service/disable-default-route 2> /dev/null`
 disabledns=`qubesdb-read /qubes-service/disable-dns-server 2> /dev/null`

+ 19 - 19
network/vif-route-qubes

@@ -1,24 +1,24 @@
-#!/bin/bash                              
+#!/bin/bash
 #============================================================================
-# /etc/xen/vif-route-qubes                                                   
-#                                                                            
-# Script for configuring a vif in routed mode.                               
-# The hotplugging system will call this script if it is specified either in  
-# the device configuration given to Xend, or the default Xend configuration  
+# /etc/xen/vif-route-qubes
+#
+# Script for configuring a vif in routed mode.
+# The hotplugging system will call this script if it is specified either in
+# the device configuration given to Xend, or the default Xend configuration
 # in /etc/xen/xend-config.sxp.  If the script is specified in neither of those
-# places, then vif-bridge is the default.                                     
-#                                                                             
-# Usage:                                                                      
-# vif-route (add|remove|online|offline)                                       
-#                                                                             
-# Environment vars:                                                           
-# vif         vif interface name (required).                                  
-# XENBUS_PATH path to this device's details in the XenStore (required).       
-#                                                                             
-# Read from the store:                                                        
-# ip      list of IP networks for the vif, space-separated (default given in  
-#         this script).                                                       
-#============================================================================ 
+# places, then vif-bridge is the default.
+#
+# Usage:
+# vif-route (add|remove|online|offline)
+#
+# Environment vars:
+# vif         vif interface name (required).
+# XENBUS_PATH path to this device's details in the XenStore (required).
+#
+# Read from the store:
+# ip      list of IP networks for the vif, space-separated (default given in
+#         this script).
+#============================================================================
 
 dir=$(dirname "$0")
 . "$dir/vif-common.sh"

+ 2 - 2
qubes-rpc/prepare-suspend

@@ -13,12 +13,12 @@ fi
 
 if [ x"$action" = x"suspend" ]; then
     dbus-send --system --print-reply          \
-        --dest=org.freedesktop.NetworkManager \ 
+        --dest=org.freedesktop.NetworkManager \
         /org/freedesktop/NetworkManager       \
         org.freedesktop.NetworkManager.Sleep boolean:true ||  \
         service NetworkManager stop
     # Force interfaces down, just in case when NM didn't done it
-    for if in `ls /sys/class/net|grep -v "lo\|vif"`; do 
+    for if in `ls /sys/class/net|grep -v "lo\|vif"`; do
         if [ "`cat /sys/class/net/$if/device/devtype 2>/dev/null`" = "vif" ]; then
             continue
         fi

+ 2 - 2
qubes-rpc/qfile-unpacker.c

@@ -52,10 +52,10 @@ int main(int argc __attribute((__unused__)), char ** argv __attribute__((__unuse
 	}
 	mkdir(INCOMING_DIR_ROOT, 0700);
 	if (asprintf(&incoming_dir, "%s/%s", INCOMING_DIR_ROOT, remote_domain) < 0)
-		gui_fatal("Error allocating memory"); 
+		gui_fatal("Error allocating memory");
 	mkdir(incoming_dir, 0700);
 	if (chdir(incoming_dir))
-		gui_fatal("Error chdir to %s", incoming_dir); 
+		gui_fatal("Error chdir to %s", incoming_dir);
 
 	if (mount(".", ".", NULL, MS_BIND | MS_NODEV | MS_NOEXEC | MS_NOSUID, NULL) < 0)
 		gui_fatal("Failed to mount a directory %s", incoming_dir);

+ 2 - 2
qubes-rpc/qopen-in-vm.c

@@ -100,8 +100,8 @@ void talk_to_daemon(const char *fname)
 int main(int argc, char ** argv)
 {
 	signal(SIGPIPE, SIG_IGN);
-	if (argc!=2) 
+	if (argc!=2)
 		gui_fatal("OpenInVM - no file given?");
 	talk_to_daemon(argv[1]);
 	return 0;
-}	
+}

+ 1 - 1
qubes-rpc/qubes.Backup

@@ -1,6 +1,6 @@
 echo Starting Backupcopy
 read args
-echo Arguments: $args 
+echo Arguments: $args
 if [ -d "$args" ] ; then
   echo "Performing backup to directory $args"
   TARGET="$args/qubes-backup-`date +'%Y-%m-%dT%H%M%S'`"

+ 2 - 2
qubes-rpc/qvm-copy-to-vm.kde

@@ -30,7 +30,7 @@ qdbus $REF org.freedesktop.DBus.Properties.Set "" maximum $SIZE
 export PROGRESS_TYPE=gui
 
 /usr/lib/qubes/qrexec-client-vm $VM qubes.Filecopy \
-	/usr/lib/qubes/qfile-agent "$@" | 
+	/usr/lib/qubes/qfile-agent "$@" |
 (while read sentsize ; do
 	CURRSIZE=$(($sentsize/1024))
 	qdbus $REF  org.freedesktop.DBus.Properties.Set "" value $CURRSIZE
@@ -38,6 +38,6 @@ done)
 
 qdbus $REF close
 # we do not want a dozen error messages, do we
-# if ! [ "x"$agentstatus = xDONE ] ; then 
+# if ! [ "x"$agentstatus = xDONE ] ; then
 # 	kdialog --sorry 'Abnormal file copy termination; see /var/log/qubes/qrexec.xid.log in dom0 for more details'
 # fi

+ 2 - 2
qubes-rpc/qvm-move-to-vm.kde

@@ -31,7 +31,7 @@ export PROGRESS_TYPE=gui
 
 set -o pipefail
 /usr/lib/qubes/qrexec-client-vm $VM qubes.Filecopy \
-	/usr/lib/qubes/qfile-agent "$@" | 
+	/usr/lib/qubes/qfile-agent "$@" |
 (while read sentsize ; do
 	CURRSIZE=$(($sentsize/1024))
 	qdbus $REF  org.freedesktop.DBus.Properties.Set "" value $CURRSIZE
@@ -42,6 +42,6 @@ fi
 
 qdbus $REF close
 # we do not want a dozen error messages, do we
-# if ! [ "x"$agentstatus = xDONE ] ; then 
+# if ! [ "x"$agentstatus = xDONE ] ; then
 # 	kdialog --sorry 'Abnormal file copy termination; see /var/log/qubes/qrexec.xid.log in dom0 for more details'
 # fi

+ 1 - 1
qubes-rpc/qvm-mru-entry

@@ -42,7 +42,7 @@ class QubesMruDialog(gtk.Dialog):
         # does not work as advertised
         # using key-press-event instead
         #self.set_default_response(gtk.RESPONSE_OK)
-        
+
         self.connect("destroy", lambda *w: gtk.main_quit())
         self.connect("response", self.response_callback)
         self.connect("key-press-event", self.key_press_callback)

+ 1 - 1
qubes-rpc/qvm-open-in-dvm

@@ -20,7 +20,7 @@
 #
 #
 
-if ! [ $# = 1 ] ; then 
+if ! [ $# = 1 ] ; then
 	echo "Usage: $0 filename"
 	exit 1
 fi

+ 1 - 1
qubes-rpc/qvm-open-in-vm

@@ -20,7 +20,7 @@
 #
 #
 
-if ! [ $# = 2 ] ; then 
+if ! [ $# = 2 ] ; then
 	echo "Usage: $0 vmname filename"
 	exit 1
 fi

+ 1 - 1
qubes-rpc/qvm-run

@@ -20,7 +20,7 @@
 #
 #
 
-if [ $# -lt 2 ] ; then 
+if [ $# -lt 2 ] ; then
 	cat <<USAGE
 Usage: $0 vmname command arguments
 Executes a command in another VM using the qubes.VMShell RPC service.  The

+ 4 - 4
qubes-rpc/tar2qfile.c

@@ -709,7 +709,7 @@ ustar_rd (int fd, struct file_header * untrusted_hdr, char *buf, struct stat * s
 	char * last_token = strtok(dirbuf,"/");
 	char * token = strtok(NULL, "/");
 	while (token != NULL) {
-		
+
 #ifdef DEBUG
 		fprintf(stderr,"Found directory %s (last:%s)\n",token,last_token);
 #endif
@@ -727,7 +727,7 @@ ustar_rd (int fd, struct file_header * untrusted_hdr, char *buf, struct stat * s
 			if (path == NULL)
 				return MEMORY_ALLOC_FAILED;
 			path[pathsize] = '/';
-			
+
 			strncpy(path+pathsize+1, last_token, strlen(last_token));
 			path[pathsize+strlen(last_token)+1] = '\0';
 		}
@@ -773,7 +773,7 @@ ustar_rd (int fd, struct file_header * untrusted_hdr, char *buf, struct stat * s
 
 			dir_header.mode = untrusted_hdr->mode | S_IFDIR;
 			dir_header.filelen = 0;
-		
+
 #ifdef DEBUG
 			fprintf(stderr,"Sending directory headers for %s\n",path);
 #endif
@@ -785,7 +785,7 @@ ustar_rd (int fd, struct file_header * untrusted_hdr, char *buf, struct stat * s
 	}
 	free(path);
 	free(dirbuf);
-	
+
 #ifdef DEBUG
 	fprintf(stderr,"End of directory checks\n");
 #endif

+ 1 - 1
qubes-rpc/vm-file-editor.c

@@ -194,7 +194,7 @@ main()
 		case 0:
 			null_fd = open("/dev/null", O_RDONLY);
 			dup2(null_fd, 0);
-			close(null_fd);		
+			close(null_fd);
 
 			env_file = fopen("/tmp/qubes-session-env", "r");
 			while(fscanf(env_file, "%1024[^=]=%4096[^\n]\n", var, val) == 2) {

+ 2 - 3
qubes-rpc/wrap-in-html-if-url.sh

@@ -3,7 +3,7 @@ wrap_in_html_if_url()
 	case "$1" in
 	*://*)
 		FILE_ARGUMENT=$(mktemp)
-		
+
 		echo -n '<html><meta HTTP-EQUIV="REFRESH" content="0; url=' > $FILE_ARGUMENT
 		echo -n "$1" >> $FILE_ARGUMENT
 		echo '"></html>' >> $FILE_ARGUMENT
@@ -13,5 +13,4 @@ wrap_in_html_if_url()
 		;;
 	esac
 }
-	
-		
+

+ 1 - 1
rpm_spec/core-vm.spec

@@ -111,7 +111,7 @@ exit 0
 fi
 
 mkdir -p /var/lib/qubes
-if [ -e /etc/fstab ] ; then 
+if [ -e /etc/fstab ] ; then
 mv /etc/fstab /var/lib/qubes/fstab.orig
 fi
 

+ 1 - 1
vm-init.d/qubes-core-appvm

@@ -51,7 +51,7 @@ start()
 		possibly_run_save_script
 		umount /rw
 		dmesg -c >/dev/null
-		free | grep Mem: | 
+		free | grep Mem: |
 			(read a b c d ; qubesdb-write /qubes-used-mem $c)
 		# give dom0 time to read some entries, when done it will shutdown qubesdb,
 		# so wait for it

+ 1 - 1
vm-init.d/qubes-core-netvm

@@ -33,7 +33,7 @@ start()
 		/usr/lib/qubes/qubes-setup-dnat-to-ns
 		echo "1" > /proc/sys/net/ipv4/ip_forward
 	fi
-	
+
 	success
 	echo ""
 	return 0

+ 1 - 1
vm-systemd/prepare-dvm.sh

@@ -16,7 +16,7 @@ if true; then
     dmesg -c >/dev/null
     qubesdb-watch /qubes-restore-complete &
     watch_pid=$!
-    free | grep Mem: | 
+    free | grep Mem: |
         (read label total used free shared buffers cached; qubesdb-write /qubes-used-mem $(( $used + $cached )) )
     # we're still running in DispVM template
     echo "Waiting for save/restore..."